Debian Bug report logs - #646634
FTBFS: make[1]: *** [override_dh_auto_test] Error 1

version graph

Package: src:python-django; Maintainer for src:python-django is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Marcelo Jorge Vieira <metal@debian.org>

Date: Tue, 25 Oct 2011 21:36:01 UTC

Severity: normal

Tags: confirmed, upstream

Found in version python-django/1.3.1-2

Fixed in version python-django/1.5-1

Done: Luke Faraone <lfaraone@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://code.djangoproject.com/ticket/17116

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <lamby@debian.org>:
Bug#646634; Package src:python-django. (Tue, 25 Oct 2011 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcelo Jorge Vieira <metal@debian.org>:
New Bug report received and forwarded. Copy sent to Chris Lamb <lamby@debian.org>. (Tue, 25 Oct 2011 21:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcelo Jorge Vieira <metal@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: make[1]: *** [override_dh_auto_test] Error 1
Date: Tue, 25 Oct 2011 19:28:35 -0200
[Message part 1 (text/plain, inline)]
Source: python-django
Version: 1.3.1-2
Severity: serious

Hi!

Django failed to build from source,
attached you will find the log file.


(...)
Creating table views_datearticle
Installing custom SQL ...
Installing indexes ...
Installed 50 object(s) from 4 fixture(s)
Destroying test database for alias 'default' (':memory:')...
Destroying test database for alias 'other' (':memory:')...
make[1]: *** [override_dh_auto_test] Error 1
make[1]: Leaving directory `/root/python-django-1.3.1'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2


Cheers,

-- 
Marcelo Jorge Vieira
xmpp:metal@jabber-br.org
http://metaldot.alucinados.com
[python-django_1.3.1-2_i386.build (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <lamby@debian.org>:
Bug#646634; Package src:python-django. (Wed, 26 Oct 2011 07:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <lamby@debian.org>. (Wed, 26 Oct 2011 07:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 646634@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Marcelo Jorge Vieira <metal@debian.org>, 646634@bugs.debian.org
Subject: Re: Bug#646634: FTBFS: make[1]: *** [override_dh_auto_test] Error 1
Date: Wed, 26 Oct 2011 09:00:08 +0200
tag 646634 + moreinfo unreproducible
thanks

On Tue, 25 Oct 2011, Marcelo Jorge Vieira wrote:
> Django failed to build from source,
> attached you will find the log file.
[...]
> make[1]: *** [override_dh_auto_test] Error 1
> make[1]: Leaving directory `/root/python-django-1.3.1'
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

The relevant error is this one:
======================================================================
FAIL: test_broken_unicode (regressiontests.model_regress.tests.ModelTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/root/python-django-1.3.1/tests/regressiontests/model_regress/tests.py", line 146, in
test_broken_unicode
    self.assertEqual(repr(b), "<BrokenUnicodeMethod: [Bad Unicode data]>")
AssertionError: '<BrokenUnicodeMethod: N\xc3\xa1zov: Jerry>' != '<BrokenUnicodeMethod: [Bad
Unicode data]>'

----------------------------------------------------------------------
Ran 3609 tests in 636.191s

FAILED (failures=1, skipped=53, expected failures=3)

So it looks like that somehow, the code is now accepting the __unicode__ method
that is returning a byte string with non-ascii data. No idea why.

What version of python were you using for your rebuild?
In what environment did you do your rebuild?
Was a locale set in the environment?
Do you still reproduce it if you build without being root?

I can't reproduce this error when doing a normal build in sid...

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Added tag(s) unreproducible and moreinfo. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 07:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <lamby@debian.org>:
Bug#646634; Package src:python-django. (Wed, 26 Oct 2011 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcelo Jorge Vieira <metal@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <lamby@debian.org>. (Wed, 26 Oct 2011 13:03:09 GMT) Full text and rfc822 format available.

Message #17 received at 646634@bugs.debian.org (full text, mbox):

From: Marcelo Jorge Vieira <metal@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 646634@bugs.debian.org
Subject: Re: Bug#646634: FTBFS: make[1]: *** [override_dh_auto_test] Error 1
Date: Wed, 26 Oct 2011 11:00:56 -0200
[Message part 1 (text/plain, inline)]
On Wed, 2011-10-26 at 09:00 +0200, Raphael Hertzog wrote:
> tag 646634 + moreinfo unreproducible
> thanks
> 
> On Tue, 25 Oct 2011, Marcelo Jorge Vieira wrote:
> > Django failed to build from source,
> > attached you will find the log file.
> [...]
> > make[1]: *** [override_dh_auto_test] Error 1
> > make[1]: Leaving directory `/root/python-django-1.3.1'
> > make: *** [build] Error 2
> > dpkg-buildpackage: error: debian/rules build gave error exit status 2
> 
> The relevant error is this one:
> ======================================================================
> FAIL: test_broken_unicode (regressiontests.model_regress.tests.ModelTests)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/root/python-django-1.3.1/tests/regressiontests/model_regress/tests.py", line 146, in
> test_broken_unicode
>     self.assertEqual(repr(b), "<BrokenUnicodeMethod: [Bad Unicode data]>")
> AssertionError: '<BrokenUnicodeMethod: N\xc3\xa1zov: Jerry>' != '<BrokenUnicodeMethod: [Bad
> Unicode data]>'
> 
> ----------------------------------------------------------------------
> Ran 3609 tests in 636.191s
> 
> FAILED (failures=1, skipped=53, expected failures=3)
> 
> So it looks like that somehow, the code is now accepting the __unicode__ method
> that is returning a byte string with non-ascii data. No idea why.
> 
> What version of python were you using for your rebuild?

2.7.2-9


> In what environment did you do your rebuild?

I'm using unstable.

Linux speedhorse 3.0.0-2-amd64 #1 SMP Fri Oct 7 22:45:30 UTC 2011 x86_64
GNU/Linux


> Was a locale set in the environment?

LANG=en_US.utf8
LANGUAGE=
LC_CTYPE="en_US.utf8"
LC_NUMERIC="en_US.utf8"
LC_TIME="en_US.utf8"
LC_COLLATE="en_US.utf8"
LC_MONETARY="en_US.utf8"
LC_MESSAGES="en_US.utf8"
LC_PAPER="en_US.utf8"
LC_NAME="en_US.utf8"
LC_ADDRESS="en_US.utf8"
LC_TELEPHONE="en_US.utf8"
LC_MEASUREMENT="en_US.utf8"
LC_IDENTIFICATION="en_US.utf8"
LC_ALL=



> Do you still reproduce it if you build without being root?

Yes, I did.


> I can't reproduce this error when doing a normal build in sid...

I found the bug. Please, add the follow lines
in /etc/python2.7/sitecustomize.py:

import sys
sys.setdefaultencoding('utf8')



Cheers,

-- 
Marcelo Jorge Vieira
xmpp:metal@jabber-br.org
http://metaldot.alucinados.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <lamby@debian.org>:
Bug#646634; Package src:python-django. (Wed, 26 Oct 2011 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <lamby@debian.org>. (Wed, 26 Oct 2011 13:33:09 GMT) Full text and rfc822 format available.

Message #22 received at 646634@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Marcelo Jorge Vieira <metal@debian.org>
Cc: 646634@bugs.debian.org
Subject: Re: Bug#646634: FTBFS: make[1]: *** [override_dh_auto_test] Error 1
Date: Wed, 26 Oct 2011 15:29:15 +0200
forwarded 646634 https://code.djangoproject.com/ticket/17116
severity 646634 normal
thanks

On Wed, 26 Oct 2011, Marcelo Jorge Vieira wrote:
> I found the bug. Please, add the follow lines
> in /etc/python2.7/sitecustomize.py:
> 
> import sys
> sys.setdefaultencoding('utf8')

It's really not a good idea to change this on a system-wide basis. It's
likely to break various applications/libraries.

http://faassen.n--tree.net/blog/view/weblog/2005/08/02/0

Changing severity back to normal since it's your fault if it FTBFS.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Set Bug forwarded-to-address to 'https://code.djangoproject.com/ticket/17116'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 13:33:16 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 13:33:16 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible and moreinfo. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 13:33:22 GMT) Full text and rfc822 format available.

Added tag(s) upstream and confirmed. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 13:33:29 GMT) Full text and rfc822 format available.

Reply sent to Luke Faraone <lfaraone@debian.org>:
You have taken responsibility. (Mon, 25 Mar 2013 21:36:08 GMT) Full text and rfc822 format available.

Notification sent to Marcelo Jorge Vieira <metal@debian.org>:
Bug acknowledged by developer. (Mon, 25 Mar 2013 21:36:08 GMT) Full text and rfc822 format available.

Message #35 received at 646634-close@bugs.debian.org (full text, mbox):

From: Luke Faraone <lfaraone@debian.org>
To: 646634-close@bugs.debian.org
Subject: Bug#646634: fixed in python-django 1.5-1
Date: Mon, 25 Mar 2013 21:33:08 +0000
Source: python-django
Source-Version: 1.5-1

We believe that the bug you reported is fixed in the latest version of
python-django, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646634@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luke Faraone <lfaraone@debian.org> (supplier of updated python-django package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Mar 2013 17:52:30 -0400
Source: python-django
Binary: python-django python-django-doc
Architecture: source all
Version: 1.5-1
Distribution: experimental
Urgency: low
Maintainer: Chris Lamb <lamby@debian.org>
Changed-By: Luke Faraone <lfaraone@debian.org>
Description: 
 python-django - High-level Python web development framework
 python-django-doc - High-level Python web development framework (documentation)
Closes: 436983 646634 663230
Changes: 
 python-django (1.5-1) experimental; urgency=low
 .
   * New upstream release. Closes: #646634, #663230, #436983
Checksums-Sha1: 
 3b7a6161f564c4984536e192cbad9c9434f92d34 2178 python-django_1.5-1.dsc
 358dce7db72904c334e3d7ce7eaa0e27a22cfa16 8007045 python-django_1.5.orig.tar.gz
 ce3b8422c82aedcc13d660308ecdbeec375fcd55 20005 python-django_1.5-1.debian.tar.gz
 7036cf4045864d22623ff6122814d430dc552262 5639862 python-django_1.5-1_all.deb
 3a571388026cbb2c358c1e16116944cb256d51db 2556196 python-django-doc_1.5-1_all.deb
Checksums-Sha256: 
 ec11dae21030c3da964a1257a7f4c7867caef658d349b3bdda0e1b67a5f73f3d 2178 python-django_1.5-1.dsc
 078bf8f8ab025ed79e41ed5cee145a64dffea638eb5c2928c8cd106720824416 8007045 python-django_1.5.orig.tar.gz
 c3b64853cfd88a5566567397ff36c6c68de8ca47aa1d54d00765993733c4a201 20005 python-django_1.5-1.debian.tar.gz
 a5d41b8271b2451e55141ca3abe5ef2da5546df2aa669fef0b598855880f15d3 5639862 python-django_1.5-1_all.deb
 116f52d92f502aab6b04c3f2531c9e575bf7ca992dd083ea7b6221837b089624 2556196 python-django-doc_1.5-1_all.deb
Files: 
 ce61bbbec6957cb23f9aaebf1a6e52be 2178 python optional python-django_1.5-1.dsc
 fac09e1e0f11bb83bb187d652a9be967 8007045 python optional python-django_1.5.orig.tar.gz
 cc76374f104b8a4be921d29e1e79e492 20005 python optional python-django_1.5-1.debian.tar.gz
 34a6999cea940ddc4a9c8a4702592369 5639862 python optional python-django_1.5-1_all.deb
 00289916a2e85dd909a852b619f86de6 2556196 doc optional python-django-doc_1.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJRULy2AAoJEJcyXdj5/dUGQogQALQ6sKXIxA4Z2FKf72EEjap7
skUAeptCOUtw/c1qt3ysKFo3c+BrYLUbK6d/0nWwvyNtwsaaL4LUc/QEKCZ17dXH
qUIyNdAOVXMU3fCwgLePMgS+72kKAOzoVACUY0MIWAsxHDa3YbuPIeFPjPUzxa+l
pMKY2gveCS9DV2C6iSHtrdrJuQmsCoxfyMCBFgUzLmxHqqyqhn0NJSv009mTKqcJ
YWRGXVg3lISctBv9ZCKCuj/zKP7rhFtUJSZFYma7geznvGnCxxkIZm4wfBuyBjPx
HNLQFmdg3xLP2LrQaGg11TU6T2Vh52KK2w6RW2vGmWBjiqQ4BUks1ZWfZs2amAQx
9eDVWFndBeX1Wtm3J8Gkv8R3opKJlShWbtV1nSeeIGX4WT8YD/kAWgp/rytM3d8p
o7l12IYYgCz/6A02Tj/w66N3UG4uPv/4LTc2mx/gA1GpCsXsJ9ih/eO8ef7mCGnU
cPQ66LN4XZKCXsxHMz5X5InDkJpoc4zzaLcPXpaSyYMN1WhQTd9hbZyhZRAwIWm5
5J2lhklwQ/EnO7XIDJYwPAsIWKGJ/xTxF/IgtDdvijtnt2JqkVPSp4Dfd8Y7utBS
RbhdUjuVoQ03UM3fdi2zgzZjy1Biyg75e9ac00egrCV9rBCd3hL43YO8Pw7DbX5a
BkrX14PqAZtFQfuCG1s6
=BISM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:29:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:36:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.